#!/bin/sh
# adapted from upstream's check target in Makefile

set -e

this=tuareg
emacs=emacs

infile=sample.ml
outdir=${ADT_ARTIFACTS}/${this}
mkdir -p ${outdir}
outfile=${outdir}/sample.ml.out

${emacs} --batch -q --no-site-file \
	 --load tuareg.el ${infile} \
	 --eval '(setq indent-tabs-mode nil)' \
	 --eval '(defun ask-user-about-lock (file opponent) nil)' \
	 --eval '(indent-region (point-min) (point-max) nil)' \
	 --eval '(indent-region (point-min) (point-max) nil)' \
	 --eval "(write-region (point-min) (point-max) \"$outfile\")"

if `diff -q ${infile} ${outfile}`; then exit 1; else exit 0; fi
